textures/tm3_shallow/trimblue02_env
{
	qer_editorimage textures/tm3_shallow/trimblue02.tga

	{
		map textures/base_wall/chrome_env2.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/tm3_shallow/trimblue02.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
//		blendfunc filter
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
}

textures/tm3_shallow/trimblue01_env
{
	qer_editorimage textures/tm3_shallow/trimblue01.tga

	{
		map textures/base_wall/chrome_env2.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/tm3_shallow/trimblue01.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
}

textures/tm3_shallow/trimred02_env
{
	qer_editorimage textures/tm3_shallow/trimred02.tga

	{
		map textures/base_wall/chrome_env2.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/tm3_shallow/trimred02.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
}

textures/tm3_shallow/trimred01_env
{
	qer_editorimage textures/tm3_shallow/trimred01.tga

	{
		map textures/base_wall/chrome_env2.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/tm3_shallow/trimred01.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
}

// Soma cola screens
textures/tm3_shallow/somascreenred
{
	qer_editorimage textures/tm3_shallow/somacolared01.tga
      q3map_surfacelight 100
	q3map_lightsubdivide 32

	{
		map textures/tm3_shallow/somacolared01.tga
		rgbGen wave sin 0 1.5 0 .25
	
	}

	{
		map textures/base_wall/comp3textd.tga
		blendfunc add
		rgbGen wave inversesawtooth 0 1 0 .25
		tcmod scroll 5 .25 
	}

	{
		map textures/base_wall/chrome_env.tga
		tcgen environment
		tcmod scale .5 .5
		blendfunc add
		rgbgen wave triangle .5 .05 0 10
	}

	{
		map $lightmap
	      blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	          		

}

textures/tm3_shallow/somascreenblue
{
	qer_editorimage textures/tm3_shallow/somacolablue01.tga
      q3map_surfacelight 100
	q3map_lightsubdivide 32

	{
		map textures/tm3_shallow/somacolablue01.tga
		rgbGen wave sin 0 1.5 0 .25
	
	}

	{
		map textures/base_wall/comp3textd.tga
		blendfunc add
		rgbGen wave inversesawtooth 0 1 0 .25
		tcmod scroll 5 .25 
	}

	{
		map textures/base_wall/chrome_env.tga
		tcgen environment
		tcmod scale .5 .5
		blendfunc add
		rgbgen wave triangle .5 .05 0 10
	}

	{
		map $lightmap
	      blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	          		

}

textures/tm3_shallow/somaslog_evil
{
	qer_editorimage textures/tm3_shallow/slogans.tga
      q3map_surfacelight 100
	q3map_lightsubdivide 32

	{
		map textures/tm3_shallow/slogans.tga
		rgbGen wave sin 0.5 1.5 0 .25
	
	}

	{
		map textures/base_wall/comp3textd.tga
		blendfunc add
		rgbGen wave inversesawtooth 0 1 0 .25
		tcmod scroll 5 .25 
	}

	{
		map textures/base_wall/chrome_env.tga
		tcgen environment
		tcmod scale .5 .5
		blendfunc add
		rgbgen wave triangle .5 .05 0 10
	}

	{
		map $lightmap
	      blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	          		

}

textures/tm3_shallow/somaslog_red
{
	qer_editorimage textures/tm3_shallow/slogan_red.tga
      q3map_surfacelight 100
	q3map_lightsubdivide 32

	{
		map textures/tm3_shallow/slogan_red.tga
		rgbGen wave sin 0.5 1.5 0 .25
	
	}

	{
		map textures/base_wall/comp3textd.tga
		blendfunc add
		rgbGen wave inversesawtooth 0 1 0 .25
		tcmod scroll 5 .25 
	}

	{
		map textures/base_wall/chrome_env.tga
		tcgen environment
		tcmod scale .5 .5
		blendfunc add
		rgbgen wave triangle .5 .05 0 10
	}

	{
		map $lightmap
	      blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	          		

}

textures/tm3_shallow/somaslog_blue
{
	qer_editorimage textures/tm3_shallow/slogan_blue.tga
      q3map_surfacelight 100
	q3map_lightsubdivide 32

	{
		map textures/tm3_shallow/slogan_blue.tga
		rgbGen wave sin 0.5 1.5 0 .25
	
	}

	{
		map textures/base_wall/comp3textd.tga
		blendfunc add
		rgbGen wave inversesawtooth 0 1 0 .25
		tcmod scroll 5 .25 
	}

	{
		map textures/base_wall/chrome_env.tga
		tcgen environment
		tcmod scale .5 .5
		blendfunc add
		rgbgen wave triangle .5 .05 0 10
	}

	{
		map $lightmap
	      blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	          		

}

// Additive soma cola decal shaders
textures/tm3_shallow/somadecalblue01
{
	qer_editorimage textures/tm3_shallow/somacolablue01.tga
	qer_nocarve
	qer_trans 0.70

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
      surfaceparm nolightmap

	polygonOffset

	{
		map textures/tm3_shallow/somacolablue01.tga
		rgbGen identity
		blendfunc add
	}
}

textures/tm3_shallow/somadecalred01
{
	qer_editorimage textures/tm3_shallow/somacolared01.tga
	qer_nocarve
	qer_trans 0.70

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap

	polygonOffset

	{
		map textures/tm3_shallow/somacolared01.tga
		rgbGen identity
		blendfunc add
	}
}

// Jump pad shaders
textures/tm3_shallow/jumppad_red
{
//	q3map_lightimage textures/sfx/proto_zzzt.tga
// Unfortunately, can't use the above as lightimage as it makes q3map
// generate the texture coords in the bsp from that image as well, and
// it's only half the size of tm3_shallow/jumppad.tga

	q3map_surfacelight 100
	qer_editorimage textures/tm3_shallow/jumppad.tga

	surfaceparm nomarks

	{
		map textures/sfx/proto_zzzt.tga
		rgbgen identity
		tcMod turb 0 1 0 0.2
		tcMod scroll 0.3 0.4
	}
	{
		map textures/tm3_shallow/jumppad.tga
		rgbgen identity
		blendfunc blend
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
	{
		map textures/tm3_shallow/jumpflsh_red.tga
		rgbgen wave sin 0.2 1.2 0 0.5
		blendfunc add
	}
}

textures/tm3_shallow/jumppad_blue
{
//	q3map_lightimage textures/sfx/proto_zzztblu2.tga
	q3map_surfacelight 100
	qer_editorimage textures/tm3_shallow/jumppad.tga

	surfaceparm nomarks

	{
		map textures/sfx/proto_zzztblu2.tga
		rgbgen identity
		tcMod turb 0 1 0 0.2
		tcMod scroll 0.3 0.4
	}
	{
		map textures/tm3_shallow/jumppad.tga
		rgbgen identity
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/tm3_shallow/jumpflsh_blue.tga
		rgbgen wave sin 0.2 1.2 0 0.5
		blendfunc add
	}
}

textures/tm3_shallow/jumppad_white
{
//	q3map_lightimage textures/sfx/proto_zzztpink.tga
	q3map_surfacelight 100
	qer_editorimage textures/tm3_shallow/jumppad.tga

	surfaceparm nomarks

	{
		map textures/sfx/proto_zzztpink.tga
		tcMod turb 0 1 0 0.2
		tcMod scroll 0.3 0.4
	}
	{
		map textures/tm3_shallow/jumppad.tga
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/tm3_shallow/jumpflsh_white.tga
		rgbgen wave sin 0.2 1.2 0 0.5
		blendfunc add
	}
}

// Teleporter shaders
textures/tm3_shallow/tele_red
{
	q3map_surfacelight 200
	qer_editorimage textures/sfx/proto_zzzt.tga

	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap

//	deformVertexes wave 32 sin 0.2 0.4 0 0.5

	{
		map textures/sfx/proto_zzzt.tga
		blendfunc add
		rgbgen wave sawtooth 0 1 0 5
		tcmod scale 1 .5
		tcmod turb 0 .1 0 1
		tcMod scroll -1 -1
//		rgbgen wave sin 0.5 1.2 0 0.5
//		tcGen env
//		tcMod turb 0 5 0 0.2
//		tcMod scroll 0.3 0.4
//		blendfunc add
	}
}

textures/tm3_shallow/tele_blue
{
	q3map_surfacelight 100
	qer_editorimage textures/sfx/proto_zzztblu2.tga

	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap

//	deformVertexes wave 32 sin 0.2 0.4 0 0.5


	{
		map textures/sfx/proto_zzztblu2.tga
		blendfunc add
		rgbgen wave sawtooth 0 1 0 5
		tcmod scale 1 .5
		tcmod turb 0 .1 0 1
		tcMod scroll -1 -1
//		rgbgen wave sin 0.5 1.2 0 0.5
//		tcGen env
//		tcMod turb 0 5 0 0.2
//		tcMod scroll 0.3 0.4
//		blendfunc add
	}
}

// Black "Sky" style texture, no light
// Remember to fit to face to reduce the number of texels!
textures/tm3_shallow/black_nolight
{
	qer_editorimage textures/skies/blacksky.tga
	surfaceparm noimpact
	surfaceparm nolightmap

	{
		map gfx/colors/black.tga
	}
}

// Black fog. BLACK! BLACK! WHAT'S FOR TEA MOTHER? PINS!
textures/tm3_shallow/fog_black
{
	qer_editorimage textures/skies/blacksky.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap

	fogparms ( 0 0 0 ) 100
	//exciting fogparms, huh?
}

// Trim light
// a variant on base_light/wsupprt1_12
textures/tm3_shallow/supportlight
{
	qer_editorimage textures/base_light/wsupprt1_12.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	q3map_lightsubdivide 40	

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/wsupprt1_12.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/wsupprt1_12.blend.tga
		rgbGen wave sin 0.7 0.5 1 1
		blendfunc GL_ONE GL_ONE
	}
}

// Small square base light
// Variant of base_light/ceil1_38_20k
textures/tm3_shallow/baselight
{
	qer_editorimage textures/base_light/ceil1_38.tga
	surfaceparm nomarks
	q3map_surfacelight 20000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_38.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_38.blend.tga
		rgbGen wave sin 0.7 0.5 1 1
		blendfunc GL_ONE GL_ONE
	}
}


